Abrir sesión
logo

DEFENSA FRENTE A LAS CIBERAMENAZAS

ÚLTIMA HORA


barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Boletines de Vulnerabilidades


Múltiples desbordamientos de entero en Kopete

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Obtener acceso
Dificultad Experto
Requerimientos del atacante Acceso remoto sin cuenta a un servicio exotico

Información sobre el sistema

Propiedad Valor
Fabricante afectado GNU/Linux
Software afectado Kopete
ekg

Descripción

Se han descubierto múltiples vulnerabilidades de desbordamiento de entero en Kopete. Las vulnerabilidades residen en el procesado de los mensajes del protocolo Gadu-Gadu.

La explotación de estas vulnerabilidades podría permitir a un atacante remoto ejecutar código arbitrario mediante el envío de mensajes especialmente diseñados.

Esta vulnerabilidad afecta a otros clientes del protocolo Gadu-Gadu como ekg.

Solución



Actualización de software

Red Hat Linux
Red Hat Desktop (v. 4)
Red Hat Enterprise Linux AS (v. 4)
Red Hat Enterprise Linux ES (v. 4)
Red Hat Enterprise Linux WS (v. 4)
https://rhn.redhat.com/

Debian Linux (ekg)

Debian Linux 3.1
Source
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5.dsc
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5.diff.gz
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411.orig.tar.gz
Alpha
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_alpha.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_alpha.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_alpha.deb
ARM
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_arm.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_arm.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_arm.deb
Intel IA-32
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_i386.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_i386.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_i386.deb
Intel IA-64
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_ia64.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_ia64.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_ia64.deb
HPPA
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_hppa.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_hppa.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_hppa.deb
Motorola 680x0
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_m68k.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_m68k.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_m68k.deb
Big endian MIPS
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_mips.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_mips.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_mips.deb
Little endian MIPS
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_mipsel.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_mipsel.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_mipsel.deb
PowerPC
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_powerpc.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_powerpc.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_powerpc.deb
IBM S/390
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_s390.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_s390.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_s390.deb
Sun Sparc
http://security.debian.org/pool/updates/main/e/ekg/ekg_1.5+20050411-5_sparc.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu-dev_1.5+20050411-5_sparc.deb
http://security.debian.org/pool/updates/main/e/ekg/libgadu3_1.5+20050411-5_sparc.deb

SUSE Linux
Actualizar mediante YaST Online Update

Identificadores estándar

Propiedad Valor
CVE CAN-2005-1852
BID NULL

Recursos adicionales

Red Hat Security Advisory RHSA-2005:639-10
https://rhn.redhat.com/errata/RHSA-2005-639.html

Debian Security Advisory DSA 767-1
http://lists.debian.org/debian-security-announce/debian-security-announce-2005/msg00154.html

SUSE Security Summary Report SUSE-SR:2005:019
http://www.novell.com/linux/security/advisories/2005_19_sr.html

Histórico de versiones

Versión Comentario Fecha
1.0 Aviso emitido 2005-07-22
1.1 Aviso emitido por Debian (DSA 767-1) 2005-07-27
1.2 Aviso emitido por SUSE (SUSE-SR:2005:019) 2005-08-22
Volver

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración